Index: osgVisual/bin/osgVisualConfig.xml
===================================================================
--- osgVisual/bin/osgVisualConfig.xml	(revision 154)
+++ osgVisual/bin/osgVisualConfig.xml	(revision 155)
@@ -18,5 +18,5 @@
   <module name="sky_silverlining" enabled="yes"></module>
   <module name="vista2d" enabled="yes">
-    <vista2d filename="hud.view" paintBackground="no" position_x="800" position_y="450" zoom="0.5"></vista2d>
+    <vista2d filename="D:\osgVisual\osgVisual\bin\hud.v" paintBackground="no" position_x="800" position_y="450" zoom="0.5"></vista2d>
   </module>
   <module name="dataio" enabled="yes">
Index: osgVisual/include/vista2D/visual_vista2D.h
===================================================================
--- osgVisual/include/vista2D/visual_vista2D.h	(revision 154)
+++ osgVisual/include/vista2D/visual_vista2D.h	(revision 155)
@@ -16,8 +16,16 @@
 */
 
+// Vista 2D
 #include "VistaView.h"
 
+// C++ libraries
 #include <string>
 
+// XML Parser
+#include <stdio.h>
+#include <libxml/parser.h>
+#include <libxml/tree.h>
+
+// OSG Includes
 #include <osg/Drawable>
 #include <osg/Geode>
@@ -28,4 +36,6 @@
 #include <osgDB/FileUtils>
 
+// osgVisual Includes
+#include <visual_util.h>
 
 namespace osgVisual
@@ -91,10 +101,10 @@
 private:
 
-	bool processXMLConfiguration();
+	static bool processXMLConfiguration(std::string& configFileName, std::string& vistaProjectfile, bool& paintBackground, int& position_x, int& position_y, float& zoom);
 
 	/**
 	 * \brief This function initialized the visual_vista2D object after instantiation by createVistaOverlay()
 	 */ 
-	void startVista2D();
+	void startVista2D(std::string vistaProjectfile, bool paintBackground, int posX, int posY, float zoom);
 
 	/**
@@ -113,33 +123,33 @@
 	Vista2D::VistaView* view;
 
-	/**
-	 * XML config filename
-	 */ 
-	std::string configFileName;
+	///**
+	// * XML config filename
+	// */ 
+	//std::string configFileName;
 
-	/**
-	 * Filename of the Vista2D project file.
-	 */
-	std::string filename;
+	///**
+	// * Filename of the Vista2D project file.
+	// */
+	//std::string filename;
 
-	/**
-	 * Should the background of the Vista2D project be painted?
-	 */
-	bool paintBackground;
+	///**
+	// * Should the background of the Vista2D project be painted?
+	// */
+	//bool paintBackground;
 
-	/**
-	 * X-Position to draw.
-	 */
-	int position_x;
+	///**
+	// * X-Position to draw.
+	// */
+	//int position_x;
 
-	/**
-	 * Y-Position to draw.
-	 */
-	int position_y;
+	///**
+	// * Y-Position to draw.
+	// */
+	//int position_y;
 
-	/**
-	 * Zoom factor to draw the project.
-	 */
-	double zoom;
+	///**
+	// * Zoom factor to draw the project.
+	// */
+	//double zoom;
 }; 
 
Index: osgVisual/src/core/visual_core.cpp
===================================================================
--- osgVisual/src/core/visual_core.cpp	(revision 154)
+++ osgVisual/src/core/visual_core.cpp	(revision 155)
@@ -512,3 +512,7 @@
 
 	visual_dataIO::getInstance()->setSlotData("TestSlot1", osgVisual::dataIO_slot::TO_OBJ, 0.12345);
-}
+
+
+	// Vista2D Test: 
+	visual_vista2D::init(rootNode, configFilename );
+}
Index: osgVisual/src/vista2D/visual_vista2D.cpp
===================================================================
--- osgVisual/src/vista2D/visual_vista2D.cpp	(revision 154)
+++ osgVisual/src/vista2D/visual_vista2D.cpp	(revision 155)
@@ -22,12 +22,8 @@
 visual_vista2D::visual_vista2D(void)
 {
+	OSG_NOTIFY (osg::ALWAYS ) << "visual_vista2D instantiated." << std::endl;
+
    // Create a Vista2D View
    view = new Vista2D::VistaView();
-
-   	filename = "";
-	paintBackground = false;;
-	position_x = 600;
-	position_y = 400;
-	zoom = 0.5;
 }
 
@@ -36,12 +32,12 @@
 }
 
-void visual_vista2D::startVista2D(std::string vista2DFilename_)
+void visual_vista2D::startVista2D(std::string vistaProjectfile, bool paintBackground, int posX, int posY, float zoom)
 {
     /***************
     load view
     ***************/
-	view->load( filename );
+	view->load( vistaProjectfile );
     view->setBackgroundMode(paintBackground);	// don't paint background
-	view->setPosition( position_x,position_y);
+	view->setPosition( posX, posY);
 	view->setZoom( zoom );
 
@@ -54,10 +50,10 @@
 }
 
-bool visual_vista2D::processXMLConfiguration()
+bool visual_vista2D::processXMLConfiguration(std::string& configFileName, std::string& vistaProjectfile, bool& paintBackground, int& position_x, int& position_y, float& zoom)
 {
 	// Init XML
 	xmlDoc* tmpDoc;
 	bool disabled;
-	xmlNode* config = util::getModuleXMLConfig( configFileName, "vista2D", tmpDoc, disabled );
+	xmlNode* config = util::getModuleXMLConfig( configFileName, "vista2d", tmpDoc, disabled );
 
 	if( disabled)
@@ -89,5 +85,5 @@
 					if( attr_name == "filename" )
 					{
-						filename=attr_value
+						vistaProjectfile=attr_value;
 					}
 
@@ -137,15 +133,18 @@
 	OSG_NOTIFY (osg::ALWAYS ) << "visual_vista2D initialize..";  // The sentence is finished by the init result...
 
-	this->configFileName = configFileName;
-
-	// Analyse XML configuration file
-		// Process XML configuration
-	if(!processXMLConfiguration())
+	std::string vistaProjectfile = "";
+	bool paintBackground = false;
+	int position_x = 0;
+	int position_y = 0;
+	float zoom = 1;
+
+	// Process XML configuration
+	if(!processXMLConfiguration(configFileName, vistaProjectfile, paintBackground, position_x, position_y, zoom))
 		return false;	// Abort vista2D initialization.
 
-	// Check if Vista2D file exist
-	if (! osgDB::fileExists( filename ) )
-	{
-		osg::notify( osg::WARN ) << "WARNING: visual_vista2D::createVistaOverlay - Could not find specified Vista2D projectfile. Skip adding Vista2D project." << std::endl;
+	// Check if Vista2D project file exists
+	if ( !osgDB::fileExists(vistaProjectfile) )
+	{
+		OSG_ALWAYS << "WARNING: visual_vista2D::init() - Specified vista2D projectfile '"<< vistaProjectfile <<"' does not exist! Skip using Vista2D!" << std::endl;
 		return false;
 	}
@@ -186,5 +185,5 @@
 	// Add Payload: Vista2D			
 	osg::ref_ptr<visual_vista2D> vista2D = new visual_vista2D();
-	vista2D->startVista2D( vista2DFilename_ );
+	vista2D->startVista2D(vistaProjectfile, paintBackground, position_x, position_y, zoom);
 
 	vista2D.get()->setUseDisplayList( false );