Index: osgVisual/bin/osgVisualConfig.xml
===================================================================
--- osgVisual/bin/osgVisualConfig.xml	(revision 155)
+++ osgVisual/bin/osgVisualConfig.xml	(revision 156)
@@ -18,5 +18,5 @@
   <module name="sky_silverlining" enabled="yes"></module>
   <module name="vista2d" enabled="yes">
-    <vista2d filename="D:\osgVisual\osgVisual\bin\hud.v" paintBackground="no" position_x="800" position_y="450" zoom="0.5"></vista2d>
+    <vista2d filename="D:\osgVisual\osgVisual\bin\altimeterSimple.v" paintBackground="no" position_x="1" position_y="1" zoom="1.0" playanimation="yes"></vista2d>
   </module>
   <module name="dataio" enabled="yes">
Index: osgVisual/include/vista2D/visual_vista2D.h
===================================================================
--- osgVisual/include/vista2D/visual_vista2D.h	(revision 155)
+++ osgVisual/include/vista2D/visual_vista2D.h	(revision 156)
@@ -82,5 +82,5 @@
 	 * @return : True if successful.
 	 */ 
-	static bool init( osg::CoordinateSystemNode *sceneGraphRoot_, std::string configFileName );
+	bool init( osg::CoordinateSystemNode *sceneGraphRoot_, std::string configFileName );
 
 	/**
@@ -101,15 +101,15 @@
 private:
 
-	static bool processXMLConfiguration(std::string& configFileName, std::string& vistaProjectfile, bool& paintBackground, int& position_x, int& position_y, float& zoom);
+	bool processXMLConfiguration();
 
 	/**
 	 * \brief This function initialized the visual_vista2D object after instantiation by createVistaOverlay()
 	 */ 
-	void startVista2D(std::string vistaProjectfile, bool paintBackground, int posX, int posY, float zoom);
+	void startVista2D();
 
 	/**
 	 * \brief This function implements the pure OpenGL draw by calling Vista2D's draw funtion.
 	 * 
-	 * Because Visrta2D manipulates OpenGLs stateset, this function saves the
+	 * Because Vista2D manipulates OpenGLs stateset, this function saves the
 	 * OSG statset at the beginning and restores it after the drawing of Vista2D 
 	 * 
@@ -123,33 +123,38 @@
 	Vista2D::VistaView* view;
 
-	///**
-	// * XML config filename
-	// */ 
-	//std::string configFileName;
+	/**
+	 * XML config filename
+	 */ 
+	std::string configFileName;
 
-	///**
-	// * Filename of the Vista2D project file.
-	// */
-	//std::string filename;
+	/**
+	 * Filename of the Vista2D project file.
+	 */
+	std::string vistaProjectfile;
 
-	///**
-	// * Should the background of the Vista2D project be painted?
-	// */
-	//bool paintBackground;
+	/**
+	 * Should the background of the Vista2D project be painted?
+	 */
+	bool paintBackground;
 
-	///**
-	// * X-Position to draw.
-	// */
-	//int position_x;
+	/**
+	 * X-Position to draw.
+	 */
+	int position_x;
 
-	///**
-	// * Y-Position to draw.
-	// */
-	//int position_y;
+	/**
+	 * Y-Position to draw.
+	 */
+	int position_y;
 
-	///**
-	// * Zoom factor to draw the project.
-	// */
-	//double zoom;
+	/**
+	 * Zoom factor to draw the project.
+	 */
+	double zoom;
+
+	/**
+	 * Flag if Vista2D should animate the project according to it's data sources.
+	 */ 
+	bool playanimation;
 }; 
 
Index: osgVisual/src/core/visual_core.cpp
===================================================================
--- osgVisual/src/core/visual_core.cpp	(revision 155)
+++ osgVisual/src/core/visual_core.cpp	(revision 156)
@@ -513,6 +513,3 @@
 	visual_dataIO::getInstance()->setSlotData("TestSlot1", osgVisual::dataIO_slot::TO_OBJ, 0.12345);
 
-
-	// Vista2D Test: 
-	visual_vista2D::init(rootNode, configFilename );
-}
+}
Index: osgVisual/src/vista2D/visual_vista2D.cpp
===================================================================
--- osgVisual/src/vista2D/visual_vista2D.cpp	(revision 155)
+++ osgVisual/src/vista2D/visual_vista2D.cpp	(revision 156)
@@ -26,11 +26,19 @@
    // Create a Vista2D View
    view = new Vista2D::VistaView();
+
+   	vistaProjectfile = "";
+	paintBackground = false;
+	playanimation = false;
+	position_x = 0;
+	position_y = 0;
+	zoom = 1;
 }
 
 visual_vista2D::~visual_vista2D(void)
 {
-}
-
-void visual_vista2D::startVista2D(std::string vistaProjectfile, bool paintBackground, int posX, int posY, float zoom)
+	view->stopView();
+}
+
+void visual_vista2D::startVista2D()
 {
     /***************
@@ -39,5 +47,5 @@
 	view->load( vistaProjectfile );
     view->setBackgroundMode(paintBackground);	// don't paint background
-	view->setPosition( posX, posY);
+	view->setPosition( position_x, position_y);
 	view->setZoom( zoom );
 
@@ -46,9 +54,8 @@
     self running datasource
     ***************/
-    view->startView (true);
-
-}
-
-bool visual_vista2D::processXMLConfiguration(std::string& configFileName, std::string& vistaProjectfile, bool& paintBackground, int& position_x, int& position_y, float& zoom)
+    view->startView (playanimation);
+}
+
+bool visual_vista2D::processXMLConfiguration()
 {
 	// Init XML
@@ -109,4 +116,9 @@
 						std::stringstream sstr(attr_value);
 						sstr >> zoom;
+					}
+
+					if( attr_name == "playanimation" )
+					{
+						playanimation = (attr_value == "yes") ? true : false;
 					}
 
@@ -133,12 +145,8 @@
 	OSG_NOTIFY (osg::ALWAYS ) << "visual_vista2D initialize..";  // The sentence is finished by the init result...
 
-	std::string vistaProjectfile = "";
-	bool paintBackground = false;
-	int position_x = 0;
-	int position_y = 0;
-	float zoom = 1;
+	this->configFileName = configFileName;
 
 	// Process XML configuration
-	if(!processXMLConfiguration(configFileName, vistaProjectfile, paintBackground, position_x, position_y, zoom))
+	if(!processXMLConfiguration())
 		return false;	// Abort vista2D initialization.
 
@@ -184,9 +192,9 @@
 
 	// Add Payload: Vista2D			
-	osg::ref_ptr<visual_vista2D> vista2D = new visual_vista2D();
-	vista2D->startVista2D(vistaProjectfile, paintBackground, position_x, position_y, zoom);
-
-	vista2D.get()->setUseDisplayList( false );
-	vista2Dgeode->addDrawable( vista2D.get() );
+	startVista2D();
+
+	// Add this class to the scene Graph
+	this->setUseDisplayList( false );
+	vista2Dgeode->addDrawable( this );
 
 	sceneGraphRoot_->addChild( vista2DProjectionMatrix );