Index: osgVisual/bin/osgVisualConfig.xml
===================================================================
--- osgVisual/bin/osgVisualConfig.xml	(revision 156)
+++ osgVisual/bin/osgVisualConfig.xml	(revision 157)
@@ -28,6 +28,6 @@
     -->
     <dataio clusterrole="master"></dataio>
-    <cluster_enet master_ip="10.10.10.10" port="1234" use_zlib_compressor="yes" ></cluster_enet>
-    <extLink_vcl filename="osgVisual.xml"></extLink_vcl>
+    <cluster implementation="enet" master_ip="10.10.10.10" port="1234" use_zlib_compressor="yes" ></cluster>
+    <extLink implementation="vcl" filename="osgVisual.xml"></extLink>
   </module>
   
Index: osgVisual/include/dataIO/visual_dataIO.h
===================================================================
--- osgVisual/include/dataIO/visual_dataIO.h	(revision 156)
+++ osgVisual/include/dataIO/visual_dataIO.h	(revision 157)
@@ -22,5 +22,5 @@
 #include <osgViewer/Viewer>
 
-// Cluster einbinden
+// Cluster
 #ifdef USE_CLUSTER_ASIO_TCP_IOSTREAM
 	#include <dataIO_clusterAsioTcpIostream.h>
@@ -34,5 +34,5 @@
 
 
-//ExtLink einbinden
+//ExtLink 
 #ifdef USE_EXTLINK_DUMMY
 	#include <dataIO_extLinkDummy.h>
@@ -43,8 +43,14 @@
 
 
-// slot and transportContainer definitions
+// Slot and transportContainer definitions
 #include <dataIO_slot.h>
 #include <dataIO_transportContainer.h>
 
+// XML Parser
+#include <stdio.h>
+#include <libxml/parser.h>
+#include <libxml/tree.h>
+
+// C++ stl libraries
 #include <vector>
 
@@ -108,18 +114,49 @@
 	osg::ref_ptr<dataIO_finalDrawCallback> finalDrawCallback;
 
-	// Make Constructor private to prevent creating instances via ptr* = new ..().
+	/**
+	 * \brief Constructor: It is private to prevent creating instances via ptr* = new ..().
+	 * 
+	 */ 
 	visual_dataIO();
-	// Make Copy-Constructor private to prevent getting instances via copying dataIO instance.
+
+	/**
+	 * \brief Copy-Constuctor: It is private to prevent getting instances via copying dataIO instance.
+	 * 
+	 * @param cc : Instance to copy from.
+	 */ 
 	visual_dataIO(const visual_dataIO& cc);
 
+	/**
+	 * \brief This function parses the XML config file for dataIO relevant parameters.
+	 * 
+	 * @return : True if parsing was successful.
+	 */ 
+	bool processXMLConfiguration(); 
+
+	/**
+	 * \brief Todo: required?
+	 * 
+	 * @return 
+	 */ 
 	osg::Matrixd calcViewMatrix();
+
+	/**
+	 * Pointer to the base class of the extLink implementation.
+	 */ 
 	osg::ref_ptr<dataIO_extLink> extLink;
+
+	/**
+	 * Pointer to the base class of the cluster implementation.
+	 */ 
 	osg::ref_ptr<dataIO_cluster> cluster;
 
 	/**
-	 * Referenced Pointer to the applications viewer.
+	 * Referenced pointer to the applications viewer.
 	 */ 
 	osg::ref_ptr<osgViewer::Viewer> viewer;
 
+	/**
+	 * Referenced pointer transport contained user to transport the set of all slots to all rendering machines.
+	 */ 
 	osg::ref_ptr<osgVisual::dataIO_transportContainer> slotContainer;
 
@@ -129,9 +166,24 @@
 	std::vector<dataIO_slot*> dataSlots;
 
+	/**
+	 * Flag to indicate if dataIO is initialized.
+	 */ 
+	bool initialized;
+
+	/**
+	 * The eventCallback-class is friend to be able to work with all dataIO members without setters/getters.
+	 */ 
 	friend class dataIO_eventCallback;
+
+	/**
+	 *  The FinalDrawCallback-class is friend to be able to work with all dataIO members without setters/getters.
+	 */ 
 	friend class dataIO_finalDrawCallback;
 
 public:
-	// Public destructor to allow singleton cleanup from extern
+	/**
+	 * \brief Public destructor to allow singleton cleanup from extern
+	 * 
+	 */ 
 	~visual_dataIO();
 
@@ -161,6 +213,4 @@
 
 	osgVisual::dataIO_cluster::clustermode clusterMode;
-
-	bool initialized;
 };
 
Index: osgVisual/include/distortion/visual_distortion.h
===================================================================
--- osgVisual/include/distortion/visual_distortion.h	(revision 156)
+++ osgVisual/include/distortion/visual_distortion.h	(revision 157)
@@ -80,5 +80,5 @@
 	 * @return : True if parsing was successful.
 	 */ 
-		bool processXMLConfiguration(); 
+	bool processXMLConfiguration(); 
 
 	/**
Index: osgVisual/src/dataIO/visual_dataIO.cpp
===================================================================
--- osgVisual/src/dataIO/visual_dataIO.cpp	(revision 156)
+++ osgVisual/src/dataIO/visual_dataIO.cpp	(revision 157)
@@ -24,4 +24,7 @@
 
 	initialized = false;
+	clusterMode = osgVisual::dataIO_cluster::STANDALONE;
+	// Create Transport-Container:
+	slotContainer = new osgVisual::dataIO_transportContainer();
 }
 
@@ -51,4 +54,8 @@
 	viewer = viewer_;
 
+	// Process XML configuration
+	if(!processXMLConfiguration())
+		OSG_FATAL << "ERROR: visual_dataIO::init() - Failed to initialize dataIO!";
+
 	// Parse operating Mode
     if (arguments_.read("-m"))
@@ -56,6 +63,4 @@
 		OSG_NOTIFY( osg::ALWAYS ) << "Configure osgVisual as MASTER" << std::endl;
 		clusterMode = osgVisual::dataIO_cluster::MASTER;
-		// Create Container:
-		slotContainer = new osgVisual::dataIO_transportContainer();
 	}
 	else if (arguments_.read("-s"))
@@ -63,5 +68,5 @@
 		OSG_NOTIFY( osg::ALWAYS ) << "Configure osgVisual as SLAVE" << std::endl;
 		clusterMode = osgVisual::dataIO_cluster::SLAVE;
-		slotContainer = NULL;	// Slave only recieves container, therefor set this Pointer null.
+		slotContainer = NULL;	// Slave only recieves container, therefor set this Pointer NULL (created instance will be deleted because it is an auto pointer).
 	}
 	else
@@ -69,6 +74,4 @@
 		OSG_NOTIFY( osg::ALWAYS ) << "Configure osgVisual as STANDALONE" << std::endl;
 		clusterMode = osgVisual::dataIO_cluster::STANDALONE;
-		// Create Container:
-		slotContainer = new osgVisual::dataIO_transportContainer();
 	}
 
@@ -110,4 +113,10 @@
 }
 
+bool visual_dataIO::processXMLConfiguration()
+{
+
+	return true;
+}
+
 void visual_dataIO::shutdown()
 {