Index: osgVisual/trunk/include/cluster/dataIO_cluster.h
===================================================================
--- osgVisual/trunk/include/cluster/dataIO_cluster.h	(revision 184)
+++ osgVisual/trunk/include/cluster/dataIO_cluster.h	(revision 185)
@@ -68,8 +68,21 @@
  	virtual bool init( xmlNode* configurationNode, osgViewer::Viewer* viewer_, clustermode clusterMode_, osgVisual::dataIO_transportContainer* sendContainer_, bool asAscii_) = 0;
 
+	/**
+	 * \brief Pure virtual function for initialization. Must be implemented in derived class.
+	 * 
+	 */ 
 	virtual bool processXMLConfiguration(xmlNode* clusterConfig_) = 0;
 	
+	/**
+	 * \brief Acess function to retrieve whether hardSync is enabled.
+	 * 
+	 * @return : True if hardsync is enabled
+	 */ 
 	bool isHardSyncEnabled(){return hardSync;};
 
+	/**
+	 * \brief Pure virtual function for initialization. Must be implemented in derived class.
+	 * 
+	 */ 
 	virtual void shutdown() = 0;
 
@@ -128,9 +141,28 @@
 
 protected:
-	osgVisual::dataIO_cluster::clustermode clusterMode;	// This variable only mirrors the variable of dataIO. will be set during initialize.
+	/**
+	 * This variable only mirrors the variable of dataIO. will be set during initialize.
+	 */ 
+	osgVisual::dataIO_cluster::clustermode clusterMode;
+
+	/**
+	 * Flag to indicate the cluster's initialization status
+	 */ 
 	bool initialized;
+
+	/**
+	 * Port to use for the cluster network traffic
+	 */ 
 	int port;
+
+	/**
+	 * Flag if hardSync is enabled
+	 */ 
 	bool hardSync;
-	bool compressionEnabled; // to indicate if OSGs compression alorithm should be used.
+
+	/**
+	 * // Flag if OSGs compression alorithm should be used.
+	 */ 
+	bool compressionEnabled; 
 
 	/**
@@ -139,5 +171,12 @@
 	osg::ref_ptr<osgViewer::Viewer> viewer;
 
-	osg::ref_ptr<osgVisual::dataIO_transportContainer> sendContainer;	// Points to the send container of dataIO.
+	/**
+	 * Pointerto the send container of dataIO.
+	 */ 
+	osg::ref_ptr<osgVisual::dataIO_transportContainer> sendContainer;
+
+	/**
+	 * Temporary buffer to store the data into which was recieved via cluster.
+	 */ 
 	std::string receivedTransportContainer;
 };
Index: osgVisual/trunk/include/dataIO/visual_dataIO.h
===================================================================
--- osgVisual/trunk/include/dataIO/visual_dataIO.h	(revision 184)
+++ osgVisual/trunk/include/dataIO/visual_dataIO.h	(revision 185)
@@ -208,5 +208,5 @@
 	static visual_dataIO* getInstance();
 
-	void init(osgViewer::Viewer* viewer_,osg::ArgumentParser& arguments_, std::string configFileName);
+	void init(osgViewer::Viewer* viewer_, std::string configFileName);
 	void shutdown();
 	bool isMaster(){if (clusterMode==osgVisual::dataIO_cluster::MASTER) return true; else return false;};
Index: osgVisual/trunk/src/cluster/dataIO_clusterENet.cpp
===================================================================
--- osgVisual/trunk/src/cluster/dataIO_clusterENet.cpp	(revision 184)
+++ osgVisual/trunk/src/cluster/dataIO_clusterENet.cpp	(revision 185)
@@ -119,5 +119,5 @@
 						if(attr_value != "enet")
 						{
-							OSG_NOTIFY( osg::ALWAYS ) << "WARNING: Cluster configuration does not match the 'enet' implementation, falling back to clusterDummy" << std::endl;
+							OSG_NOTIFY( osg::ALWAYS ) << "WARNING: Cluster configuration does not match the currently used 'enet' implementation, falling back to clusterDummy" << std::endl;
 							return false;
 						}
Index: osgVisual/trunk/src/core/visual_core.cpp
===================================================================
--- osgVisual/trunk/src/core/visual_core.cpp	(revision 184)
+++ osgVisual/trunk/src/core/visual_core.cpp	(revision 185)
@@ -86,5 +86,5 @@
 
 	// Initialize DataIO interface
-	visual_dataIO::getInstance()->init(viewer, arguments, configFilename);
+	visual_dataIO::getInstance()->init(viewer, configFilename);
 
 	// Add manipulators for user interaction - after dataIO to be able to skip it in slaves rendering machines.
Index: osgVisual/trunk/src/dataIO/visual_dataIO.cpp
===================================================================
--- osgVisual/trunk/src/dataIO/visual_dataIO.cpp	(revision 184)
+++ osgVisual/trunk/src/dataIO/visual_dataIO.cpp	(revision 185)
@@ -47,5 +47,5 @@
 };
 
-void visual_dataIO::init(osgViewer::Viewer* viewer_, osg::ArgumentParser& arguments_, std::string configFileName)
+void visual_dataIO::init(osgViewer::Viewer* viewer_, std::string configFileName)
 {
 	OSG_NOTIFY( osg::ALWAYS ) << "visual_dataIO initialize..";