Index: /osgVisual/trunk/bin/osgVisualConfig.xml
===================================================================
--- /osgVisual/trunk/bin/osgVisualConfig.xml	(revision 197)
+++ /osgVisual/trunk/bin/osgVisualConfig.xml	(revision 198)
@@ -52,8 +52,28 @@
     <datetime day="0" month="0" year="0" hour="12" minute="30"></datetime>
     <visibility range="50000" turbidity="2.2" ></visibility>
-    <cloudlayer slot="1" type="cumulusCongestus" enabled="true" fadetime="15">
-      <geometry baselength="50000" basewidth="50000" thickness="500" baseHeight="1700" density="0.3"></geometry>
+    
+    <!--<cloudlayer slot="0" type="CUMULONIMBUS_CAPPILATUS" enabled="true" fadetime="15">
+      <geometry baselength="20000" basewidth="20000" thickness="600" baseHeight="1000" density="0.5"></geometry>
+    </cloudlayer>-->
+    <cloudlayer slot="1" type="CUMULUS_CONGESTUS" enabled="true" fadetime="15">
+      <geometry baselength="50000" basewidth="50000" thickness="1600" baseHeight="1000" density="0.07"></geometry>
       <precipitation rate_mmPerHour_rain="5.0" rate_mmPerHour_drySnow="7.0" rate_mmPerHour_wetSnow="10.0" rate_mmPerHour_sleet="0.0"></precipitation>
     </cloudlayer>
+    <cloudlayer slot="2" type="CUMULUS_MEDIOCRIS" enabled="true" fadetime="15">
+      <geometry baselength="50000" basewidth="50000" thickness="1600" baseHeight="1000" density="0.07"></geometry>
+    </cloudlayer>
+    <!--<cloudlayer slot="3" type="CIRRUS_FIBRATUS" enabled="true" fadetime="15">
+      <geometry baselength="5000000" basewidth="5000000" thickness="600" baseHeight="7351" density="0.2"></geometry>
+    </cloudlayer>-->
+    <!--<cloudlayer slot="4" type="CIRROCUMULUS" enabled="true" fadetime="15">
+      <geometry baselength="50000" basewidth="50000" thickness="600" baseHeight="7351" density="0.2"></geometry>
+    </cloudlayer>-->
+    <!--<cloudlayer slot="5" type="STRATOCUMULUS" enabled="true" fadetime="15">
+      <geometry baselength="100000" basewidth="100000" thickness="2500" baseHeight="2000" density="0.3"></geometry>
+    </cloudlayer>-->
+    <!--<cloudlayer slot="6" type="STRATUS" enabled="true" fadetime="15">
+      <geometry baselength="50000" basewidth="50000" thickness="1500" baseHeight="1500" density="0.3"></geometry>
+    </cloudlayer>-->
+
     <windlayer bottom="500.0" top="700." speed="25.0" direction="90.0"></windlayer>
   </scenery>
Index: /osgVisual/trunk/include/sky_Silverlining/visual_skySilverLining.h
===================================================================
--- /osgVisual/trunk/include/sky_Silverlining/visual_skySilverLining.h	(revision 197)
+++ /osgVisual/trunk/include/sky_Silverlining/visual_skySilverLining.h	(revision 198)
@@ -39,7 +39,5 @@
 #include <libxml/parser.h>
 #include <libxml/tree.h>
-
-#include <string.h>
-#include <iostream>
+#include <sstream> 
 
 namespace osgVisual
Index: /osgVisual/trunk/src/core/visual_core.cpp
===================================================================
--- /osgVisual/trunk/src/core/visual_core.cpp	(revision 197)
+++ /osgVisual/trunk/src/core/visual_core.cpp	(revision 198)
@@ -368,10 +368,6 @@
 		if(cur_node->type == XML_ELEMENT_NODE && node_name == "cloudlayer")
 		{
-			/*
-			<cloudlayer slot="1" type="cumulusCongestus" enabled="true" fadetime="15">
-			  <geometry baselength="50000" basewidth="50000" thickness="500" baseHeight="1700" density="0.3"></geometry>
-			  <precipitation rate_mmPerHour_rain="5.0" rate_mmPerHour_drySnow="7.0" rate_mmPerHour_wetSnow="10.0" rate_mmPerHour_sleet="0.0"></precipitation>
-			</cloudlayer>
-			*/
+			if(sky.valid())
+				sky->configureCloudlayerbyXML( cur_node );
 		}
 
@@ -467,12 +463,5 @@
 	if(sky.valid())
 	{
-		//sky->addCloudLayer( 0, 20000, 20000, 600.0, 1000.0, 0.5, CUMULONIMBUS_CAPPILATUS );
-		//sky->addCloudLayer( 1, 5000000, 5000000, 600.0, 7351.0, 0.2, CIRRUS_FIBRATUS );
-		//sky->addCloudLayer( 2, 50000, 50000, 600.0, 7351.0, 0.2, CIRROCUMULUS );
-		///sky->addCloudLayer( 2, 100000, 100000, 600.0, 2351.0, 0.75, STRATUS );
-		sky->addCloudLayer( 3, 50000, 50000, 1300.0, 700.0, 0.07, CUMULUS_CONGESTUS );
-		//sky->addCloudLayer( 1, 100000, 100000, 3500.0, 2000.0, 0.30, STRATOCUMULUS );
-
-		//sky->setSlotPrecipitation( 1, 0.0, 0.0, 0.0, 25.0 );
+
 	}
 
Index: /osgVisual/trunk/src/sky_Silverlining/visual_skySilverLining.cpp
===================================================================
--- /osgVisual/trunk/src/sky_Silverlining/visual_skySilverLining.cpp	(revision 197)
+++ /osgVisual/trunk/src/sky_Silverlining/visual_skySilverLining.cpp	(revision 198)
@@ -753,6 +753,4 @@
 		float density = -1.0, rate_mmPerHour_rain = -1.0, rate_mmPerHour_drySnow = -1.0, rate_mmPerHour_wetSnow = -1.0, rate_mmPerHour_sleet = -1.0;
 		CloudTypes ctype = CUMULUS_CONGESTUS; 
-
-
 
 		xmlAttr  *attr = cloudlayerNode_->properties;
@@ -798,6 +796,5 @@
 		}
 
-		cloudlayerNode_ = cloudlayerNode_->children;
-		if(!cloudlayerNode_)
+		if(!cloudlayerNode_->children)
 		{
 			OSG_NOTIFY( osg::ALWAYS ) << "ERROR - visual_skySilverLining::configureCloudlayerbyXML: Missing geometry specification for a cloudlayer." << std::endl;
@@ -805,9 +802,10 @@
 		}
 
-		for (xmlNode *cur_node = cloudlayerNode_; cur_node; cur_node = cur_node->next)
-		{
+		for (xmlNode *cur_node = cloudlayerNode_->children; cur_node; cur_node = cur_node->next)
+		{
+			node_name=reinterpret_cast<const char*>(cur_node->name);
 			if(cur_node->type == XML_ELEMENT_NODE && node_name == "geometry")
 			{
-				xmlAttr  *attr = cloudlayerNode_->properties;
+				xmlAttr  *attr = cur_node->properties;
 				while ( attr ) 
 				{ 
@@ -845,5 +843,5 @@
 			if(cur_node->type == XML_ELEMENT_NODE && node_name == "precipitation")
 			{
-				xmlAttr  *attr = cloudlayerNode_->properties;
+				xmlAttr  *attr = cur_node->properties;
 				while ( attr ) 
 				{ 
Index: /osgVisual/trunk/src/util/visual_util.cpp
===================================================================
--- /osgVisual/trunk/src/util/visual_util.cpp	(revision 197)
+++ /osgVisual/trunk/src/util/visual_util.cpp	(revision 198)
@@ -489,9 +489,4 @@
 			}
 		}
-
-		if(cur_node->type == XML_ELEMENT_NODE && node_name == "animationpath")
-		{
-			//<animationpath filename="salzburgerEcke.path"></animationpath>
-		}
 	}// FOR all nodes END
 
@@ -530,6 +525,4 @@
 			}
 		}
-
-
 	}// FOR all nodes END
 